Subject: bug#56967: 29.0.50; Frequent crashes under Wayland

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Aug 2022 18:07:29 +0300

> Cc: [email-masked]
> Date: Sun, 07 Aug 2022 17:51:25 +0300
> From:  Bjoern Bidar via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I on the #gtk channel on what do and I got from ebassi that it is ok to just 
> call _exit.
> He says it might be the client behaving wrong:
> <ebassi> Thaodan: It could happen because the client made an invalid request—
> Wayland mandates that the display server closes the connection in that case
> 
> I don't really understand why calling _exit is an acceptable solution anyone 
> that has to safe some state to the disk is lost.
> 
> I attach the whole conversation to not take anything out of context here:

Those guys evidently think that an application without display cannot
do anything.  They forget that even if display connection is lost, and
even if this is due to some fault of the application, that application
could still shut down gracefully instead of losing all of the user's
work, if only GTK wouldn't call _exit "because it's acceptable", or
"because emacs is a 1980s teletype app", or because whatever other
ridiculous justifications these guys come up for such misconduct.

> <ebassi> I already told you
> <ebassi> If the display connection is closed by the server, then there's no 
> safe way to store the data

Really?  Since when does saving data to disk require a display
connection??